/*---------------------------------------------------------------------------
				map_case - offline map reader for Age of Adventure
			  Copyright (c) 2000-2001 Interactive Broadcasting Ltd

	This program is free software: you can redistribute it and /or modify it
	under the terms of the GNU General Public License as published by the
	Free Software Foundation: either version 2 of the License, or (at your
	option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY: without even the implied warranty of MERCHANTABILITY
	or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
	for more details.

	You should have received a copy of the GNU General Public License along
	with this program; if not, write to the Free Software Foundation, Inc.,
	59 Temple Place - Suite 330, Boston, MA 02111-1307 USA

	Program written and compiled with Borland C++ Builder 5

	Original programming: 	Alan Lenton
	Additional programming:	Stanley Lenton

	Home website:				www.ibgames.net
---------------------------------------------------------------------------*/

#include <vcl.h>
#pragma hdrstop
USERES("map_case.res");
USEFORM("main.cpp", MainForm);
USEUNIT("location.cpp");
USEUNIT("age_map.cpp");
USEFORM("notes.cpp", NotesForm);
//---------------------------------------------------------------------------

WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		Application->Initialize();
		Application->CreateForm(__classid(TMainForm), &MainForm);
		Application->CreateForm(__classid(TNotesForm), &NotesForm);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	return 0;
}

//---------------------------------------------------------------------------

